%define		srcdir	ImageLounge

Name:		nomacs
Version:	3.6.1
Release:	%mkrel 2
Summary:	A fast and small image viewer
License:	GPLv3
Group:		Graphics/Viewers
Url:		http://www.nomacs.org
# From https://github.com/nomacs/nomacs/ - only ImageLounge directory repacked
Source0:	%{name}-%{version}.tar.xz
Patch0:		nomacs-3.6.1-use-system-quazip-qt5.patch

BuildRequires:	cmake
BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(libraw)
BuildRequires:	pkgconfig(opencv)
BuildRequires:	pkgconfig(exiv2)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	quazip-devel

%description
nomacs is an image viewer based on Qt5 library.
nomacs is a free image viewer small, fast and able to handle the most
common image formats including RAW images.
Additionally it is possible to synchronize multiple viewers.
A synchronization of viewers running on the same computer or via LAN
is possible.
It allows to compare images and spot the differences
(e.g. schemes of architects to show the progress).

%prep
%setup -q
%autopatch -p1

# remove bundled quazip
rm -rf 3rdparty/quazip-0.7

# fix SVG icon install path
sed -i cmake/UnixBuildTarget.cmake -e 's@share/pixmaps@share/icons/hicolor/scalable/apps@'

# fix wrong-file-end-of-line-encoding
sed -i 's/\r//' Readme/README

%build
%cmake_qt5 -DUSE_SYSTEM_QUAZIP=ON -DENABLE_PLUGINS=OFF

%make_build

%install
%make_install -C build

# we don't want unneeded devel files
find %{buildroot} -name '*.so' -delete

%files
%doc Readme/README
%license Readme/LICENSE.GPLv3
%{_bindir}/%{name}
%{_libdir}/lib%{name}*.so*
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_iconsdir}/hicolor/scalable/*/%{name}.svg
%{_mandir}/man1/%{name}.1.*


%changelog
* Tue Jun 20 2017 neoclust <neoclust> 3.6.1-2.mga6
+ Revision: 1108016
- Rebuild against new exiv2

* Wed Apr 26 2017 akien <akien> 3.6.1-1.mga6
+ Revision: 1097636
- Version 3.6.1

* Wed Dec 28 2016 neoclust <neoclust> 3.2.0-2.mga6
+ Revision: 1078426
- Rebuild for new libraw

* Wed Jun 22 2016 daviddavid <daviddavid> 3.2.0-1.mga6
+ Revision: 1037179
- new version: 3.2.0
- port to Qt5 now
- update Source URL
- add a patch to use system quazip-qt5
- add an upstream patch to fix an ambiguous call to abs

* Mon Dec 28 2015 tv <tv> 1.6.4-5.mga6
+ Revision: 916253
- rebuild for new libraw

* Wed Oct 15 2014 umeabot <umeabot> 1.6.4-4.mga6
+ Revision: 746198
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.4-3.mga5
+ Revision: 682912
- Mageia 5 Mass Rebuild

* Tue Aug 26 2014 luigiwalser <luigiwalser> 1.6.4-2.mga5
+ Revision: 668362
- rebuild

* Mon Feb 24 2014 dams <dams> 1.6.4-1.mga5
+ Revision: 596211
- new version 1.6.4

* Mon Feb 10 2014 dams <dams> 1.6.2-1.mga5
+ Revision: 589055
- new version 1.6.2

* Wed Feb 05 2014 wally <wally> 1.4.0-3.mga5
+ Revision: 583417
- rebuild for new libraw

* Sat Oct 19 2013 umeabot <umeabot> 1.4.0-2.mga4
+ Revision: 530660
- Mageia 4 Mass Rebuild

* Sat Jul 27 2013 matteo <matteo> 1.4.0-1.mga4
+ Revision: 458830
- new version

* Fri Jun 21 2013 matteo <matteo> 1.2.0-1.mga4
+ Revision: 445548
- new version

* Tue May 28 2013 wally <wally> 1.0.2-1.mga4
+ Revision: 429648
- new version 1.0.2

  + matteo <matteo>
    - new version

* Sat Jan 12 2013 umeabot <umeabot> 0.4.0-2.mga3
+ Revision: 361045
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 17 2012 matteo <matteo> 0.4.0-1.mga3
+ Revision: 307418
- fixed group
- added desktop file validation
- imported package nomacs

